Novell is now a part of Micro Focus

Recommended update for SaX2 and MozillaFirefox

Knowledgebase

(Last modified: 16MAR2007)


solutions Recommended update for SaX2 and MozillaFirefox SuSE Linux Maintenance Web (f2ed7bea62889b94eeb1394136e19e23)

Applies to

Package: yast2-x11
dejavu
sax2
sax2-tools
sax2-ident
sax2-gui
sax2-libsax
sax2-libsax-devel
sax2-libsax-perl
sax2-libsax-python
sax2-libsax-java
sax2-libsax-csharp
MozillaFirefox
MozillaFirefox-translations
xorg-x11-driver-video
xorg-x11-driver-video-nvidia
desktop-data-NLD
tightvnc
yast2-control-center
mozilla-nss
mozilla-nss-devel
mozilla-nss-tools
yast2-qt
openmotif
openmotif-libs
openmotif-devel
openmotif-demo
xdg-menu
Product(s): SUSE Linux Enterprise Desktop 10 SP1 Upgrade for x86
SUSE Linux Enterprise Desktop 10 SP1 Upgrade for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP1 Upgrade for x86
SUSE Linux Enterprise Server 10 SP1 Upgrade for IPF
SUSE Linux Enterprise Server 10 SP1 Upgrade for IBM POWER
SUSE Linux Enterprise Server 10 SP1 Upgrade for IBM zSeries 64bit
SUSE Linux Enterprise Server 10 SP1 Upgrade for AMD64 and Intel EM64T
Zypp-Patch-Number: 2777
Release: 20070316
Obsoletes: none

Indications

These packages are the updates for Service Pack 1 of SUSE Linux Enterprise
10. Install them to have your system at SP1 level.

Contraindications

None.

Problem description

This package has been added for SLE10 SP1.
yast2-x11
  • v2.13.12
  • better fix for getColorDepth() problem (#247770,#243543)
  • v2.13.11
  • fixed getColorDepth() call in XLib.pm (#247770)
  • fixed missing window close functionality in autoyast UI (#241008)
  • added autoyast scheme patch (#224161)
  • Properly detect unainavilable packages (#198250)
  • 2.13.8
  • Don't try to install unavailable X11 packages (#198250)
  • 2.13.7
  • Removed a Perl search path that is added elsewhere already and here just breaks compilation in some cases (#197099).
dejavu
  • update to 2.9. (By the way, the update to 2.8 already fixed bug #74601).
  • BuildRequires: xorg-x11-devel is necessary to detect Xorg X11R7.
  • update to 2.8.
  • move fonts to /usr/share/fonts because of the move to Xorg X11R7.
sax2
  • use "VBEModes" option for 4851-514 (Hatteras) box (Bug #247392)
  • update translations for SLES10-SP1
  • update translations for SLES10-SP1 [added:zu,gu,xh,af,mr]
  • fixed patch for adding NoHal to Matrox G200 devices (#242686)
  • added option NoHal to Matrox G200 devices (#242686) patch from Stefan Dirsch <sndirsch@suse.de> Thanks Stefan
  • hardcode CRT usage for FireGL M24 GL 3154 (#238426)
  • fixed GUI crash if no default color depth is set (#233847)
  • don't set default color depth on fbdev devices (#233847)
  • don't set bus ID on fbdev devices (#233847)
  • removed Matrox devices from ppc Identity (#236670)
  • update translations for SLES10-SP1
MozillaFirefox
  • Security update to 2.0.0.2 (#244923), which covers:
    • mfsa2007-01
      • CVE-2007-0775 - layout engine crashes
      • CVE-2007-0776 - SVG
      • CVE-2007-0777 - javascript engine corruption
    • mfsa2007-02
      • CVE-2007-0995 - Invalid trailing characters in HTML tag attributes
      • CVE-2007-0996 - Child frame character set inheritance
      • CVE-2006-6077 - Injected password forms
    • mfsa2007-02
    • mfsa2007-03
      • CVE-2007-0078
    • mfsa2007-04
      • CVE-2007-0079
    • mfsa2007-05
      • CVE-2007-0780
      • CVE-2007-0800
    • mfsa2007-06
      • CVE-2007-0008 - client flaw
      • CVE-2007-0009 - server flaw
    • mfsa2007-07
      • CVE-2007-0981
  • Package dictionaries (#238414).
  • Update tango-theme.tar.bz2 (#235847).
  • Build with system-nss again.
  • Update firefox-ui-lockdown.patch and gconf-backend.patch (now split into two).
  • Update to version 2.0.0.1 (fate #301697)
  • Update gecko-lockdown.patch, firefox-ui-lockdown.patch, abuild.patch, pango-cairo.patch, gconf-backend.patch, firefox-appname.patch, firefox-no-update.patch, startup.patch, system-extensions.patch, and system-proxies.patch
  • Remove system-nspr.patch, ppc64.patch, xul-picker.patch, and print-properties.patch, which are now upstream.
desktop-data-NLD
  • don't set xcursor theme for remote logins (#228069)
  • Update default wallpapers for SP1
  • Move second "More Programs" submenu from Images to Audio/Video (#202585)
  • Change cursor theme to Industrial (#152979)
tightvnc
  • Added support for the NewFBSize protocol extension (#199702).
yast2-control-center
  • Package split (fix for bug #240240):
    • yast2-control-center with .desktop file and icon
    • yast2-control-center-qt with binary
  • V 2.13.9
  • Reverted last change: No longer using "NotShowIn=GNOME" The very concept of 2 apps using one .desktop file is broken by design. See also bug #247812: No YaST2 control center in GNOME
  • V 2.13.8
  • Fixed bug #240240: Added "NotShowIn=GNOME" to .desktop file
  • V 2.13.7
  • Fixed bug #235796: Warning about unknown module groups
  • V 2.13.6
  • Fixed bug #217247: No contrast in categories list box
  • V 2.13.5
  • Fixed bug #213869: Missing ellipsis on "Search" button
  • V 2.13.4
  • Implemented feature #300460: Use gettext for module names
  • V 2.13.3
  • Implemented feature #300915: Increase Visibility of Search Function
mozilla-nss
  • update to NSS 3.11.4
  • requires NSPR 4.6.4 (pkgconfig)
  • update to NSS 3.11.3
  • requires NSPR 4.6.3 (pkgconfig)
yast2-qt
  • Fixed bug #239829 (again): Show patch version in patches list
  • V 2.13.81
  • Prefixized font patch check.
  • Fixed bug #239829: Show patch name (ID) in patches list
  • V 2.13.80
  • Fixed bug #187322: Ignore solver errors in patch mode at first solver run
  • V 2.13.79
  • Fixed bug #232522: Added inst src URL to pkg versions view
  • Fixed bug #152997: Install progress icons
  • Fixed bug #218669: Broken UTF8 chars in pkg to text file export
  • Fixed bug #227409: Add installed packages to text file export
  • Fixed bug #229368: comparison with string literal
  • Added Qt-UI support for feature #301178: verify installed system
  • V 2.13.77
  • Added Requires: yast2-core >= 2.13.33 to spec file
  • V 2.13.76
  • Added CheckBoxFrame widget for feature #5673
  • Implemented feature #300729: Saving of patterns and packages
  • V 2.13.75
  • Merged 10.2 fixes (r34246:34581) back to SLE-10-SP1 branch
  • V 2.13.74
  • Improved bugfix for bug #183735 (display only relevant patches by default): Also display patches that are satisfied, but not installed yet
  • Fixed bug #189134: Show description of initial patch / pkg
  • Override patch category tooltips with "Dependencies broken" or "Dependencies satisfied" in patch list
  • V 2.13.73
  • Consistent handling of isSatisfied and isBroken for bug #173488
  • Added real "isSatisfied" icon
  • V 2.13.72
  • Added missing icon to dist tarball
  • V 2.13.71
  • Fixed bug #162164: pattern detection does not work
  • Fixed bug #173488: Status satisfied for a patch is displayed like uninstalled
  • V 2.13.70
  • Fixed bug #183735 - YOU should display only relevant patches by default
  • V 2.13.69
  • Implemented feature #300756: Added support for resolver test case generation (PackageSelector -> "Extras" menu)
  • V 2.13.68
  • Implemented feature #120142: View installed products
  • Implemented feature #301229: Fold hidden patterns into parents
  • V 2.13.67
  • Implemented feature #301222: Easy access to updating all packages
  • V 2.13.66
  • Fixed bug #208694: Allow deleting patches (only the patch meta data will be deleted, packages will remain the same!)
  • V 2.13.65
  • added missing files to Makefile.am
  • 2.13.64
  • V 2.13.63
  • Fixed bug #205059: CapsLock warning in password fields
  • Allow pattern categories to be collapsed
  • V 2.13.62
  • Applied patch from Ricardo Cruz <rpmcruz@clix.pt> for new UI::Beep() built-in
  • Added a configure-time check for the X font directory.
  • 2.13.61
openmotif
  • Fix XPM plausibility checks.
xdg-menu
  • added Requires: xterm [#242136]

Solution

Please install the updates provided at the location noted below.

Installation notes

This update is provided as an RPM package that can easily be installed onto a running system by using this command:
rpm -Fvh yast2-x11.rpm dejavu.rpm sax2.rpm sax2-tools.rpm sax2-ident.rpm sax2-gui.rpm sax2-libsax.rpm sax2-libsax-devel.rpm sax2-libsax-perl.rpm sax2-libsax-python.rpm sax2-libsax-java.rpm sax2-libsax-csharp.rpm MozillaFirefox.rpm MozillaFirefox-translations.rpm xorg-x11-driver-video.rpm xorg-x11-driver-video-nvidia.rpm desktop-data-NLD.rpm tightvnc.rpm yast2-control-center.rpm mozilla-nss.rpm mozilla-nss-devel.rpm mozilla-nss-tools.rpm yast2-qt.rpm openmotif.rpm openmotif-libs.rpm openmotif-devel.rpm openmotif-demo.rpm xdg-menu.rpm

links to download packages

Download Source Packages

Download the source code of the patches for maintained products.


Disclaimer

The Origin of this information may be internal or external to Novell. Novell makes all reasonable efforts to verify this information. However, the information provided in this document is for your information only. Novell makes no explicit or implied claims to the validity of this information.

Any trademarks referenced in this document are the property of their respective owners. Consult your product manuals for complete trademark information.

© Micro Focus